<?php
/*
-----------------------------------------
Автор: -=КотЭ=-(-=MTV=-) и Shot(Robber)
Бесплатный WAP движок: Strongcms
Контакты: 0664452670(МТС) ибо ICQ(7296000)
Файл: index.php
-------------------------------------------
*/
//-----Создаем титл страницы-----//
$title = 'Админ панель';
//-----Подключаем функции-----//
require_once ('../system/function.php');
//-----Подключаем вверх-----//
require_once ('../system/header.php');

//-----Переадресовуем не авторизированного и без левела-----//
if(!$user['id'] or $user['level'] < 1) {
echo err($title, 'У вас не достаточно прав для просмотра данной страницы!');
require_once ('../system/footer.php'); exit;
}
$act = isset($_GET['act']) ? $_GET['act'] : null;
switch($act)
{
default:

echo '<div class="title"><a href="'.$HOME.'/user/cab.php">Личный кабинет</a> | Админ панель</div>';

echo '<div class="menudiv"><a href="'.$HOME.'/panel/users/" class="k_menu">Управление пользователями</a></div>
<div class="menudiv"><a href="'.$HOME.'/panel/load_mod/" class="k_menu">Модерация файлов</a></div>
<div class="menudiv"><a href="'.$HOME.'/panel/aspam/" class="k_menu">Антиспам</a></div>
<div class="menudiv"><a href="'.$HOME.'/panel/ip_fs/" class="k_menu">Поиск по IP</a></div>
<div class="menudiv"><a href="'.$HOME.'/panel/ban_ip" class="k_menu">Бан по IP</a></div>
<div class="menudiv"><a href="'.$HOME.'/admforum/" class="k_menu">Админфорум</a></div>
<div class="menudiv"><a href="'.$HOME.'/panel/ban/" class="k_menu">Бан лист</a></div>';

if($user['level'] > '2') {
echo '

<div class="menudiv"><a href="'.$HOME.'/panel/reg_mod/" class="k_menu">Модерация регистраций</a></div>';
}
if($user['level'] == 4) {
echo '
<div class="menudiv"><a href="'.$HOME.'/panel/arb/" class="k_menu">Модерация арбитража</a></div>
<div class="podmenu"><a href="'.$HOME.'/panel/troller.php">Бот троллер</a></div>
<div class="menudiv"><a href="'.$HOME.'/panel/rules/" class="k_menu">Настройки правил</a></div>
<div class="menudiv"><a href="?act=set" class="k_menu">Настройки сайта</a></div>
<div class="menudiv"><a href="'.$HOME.'/panel/rek.php" class="k_menu">Реклама</a></div>
<div class="menudiv"><a href="?act=bonus" class="k_menu">Бонусы</a></div>
<div class="menudiv"><a href="'.$HOME.'/panel/style.php" class="k_menu">Стиль сайта</a></div>
<div class="menudiv"><a href="?act=count" class="k_menu">Счетчики</a></div>
';
}

break;
case 'ban':

echo '<div class="title"><a href="'.$HOME.'/panel/">Админ панель</a> | Бан лист</div>
<div class="podmenu">» <a href="'.$HOME.'/panel/ban/list">Список забаненых</a></div>';

if($user['id'] == 1) echo '<div class="podmenu">» <a href="'.$HOME.'/panel/ban/jalob">Жалобы на бан</a></div>';

break;
case 'ban_list':

echo '<div class="title"><a href="'.$HOME.'/panel/">Админ панель</a> | <a href="'.$HOME.'/panel/ban/">Бан лист</a> | Список забаненых</div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `ban_list`"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$ban = mysql_query("SELECT * FROM `ban_list` ORDER BY `time_play` DESC LIMIT $start,$max");
while($b = mysql_fetch_assoc($ban))
{
echo '<div class="links">'.nick($b['add_ban']).' =(забанил)=> '.nick($b['kto']).'<br />(Дата бана: '.vremja($b['time_play']).')
<br />
[<a href="'.$HOME.'/panel/ban/list/updateban'.$b['kto'].'">разбанить</a>]</div>
<div class="podmenu">'.smile(bb($b['about'])).'
<br />
<b>Дата освобождения: '.date('d.m.Y в H:i',$b['time_end']).'</b></div>';
}

if($k_post < 1) {
echo '<div class="podmenu"><center><b>Бан лист пуст!</b></center></div>';
}

if ($k_page > 1) {
echo str(''.$HOME.'/panel/ban/list/',$k_page,$page); // Вывод страниц
}

echo '<div class="links">» <a href="'.$HOME.'/panel/ban">Назад в бан лист</a></div>';

break;
case 'addban':

$id = abs(intval($_GET['id']));
$adban = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$id."'"));

if($adban['id'] == 0 or $user['id'] == $id or $id == 1 or $adban['level'] >= $user['level']) {
echo err($title, 'У вас не достаточно прав для просмотра данной страницы!');
require_once ('../system/footer.php'); exit;
}

echo '<div class="title"><a href="'.$HOME.'/panel/">Админ панель</a> | <a href="'.$HOME.'/panel/ban/">Бан лист</a> | <a href="'.$HOME.'/panel/ban/list">Список забаненых</a> | Бан</div>';

if(isset($_REQUEST['ok'])) {

$about = strong($_POST['about']);
$time_end = strong($_POST['time_end']);
$kom = strong($_POST['kom']);
$link = strong($_POST['link']);
if(empty($about) or mb_strlen($about) < 3) {
echo '<div class="podmenu"><center><b>Ошибка ввода ,минимум 3 символа!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

mysql_query("INSERT INTO `ban_list` SET `about` = '".$about."', `time_end` = '".(time()+($time_end*(60*60)))."', `add_ban` = '".$user['id']."', `kto` = '".$id."', `time_play` = '".time()."'");
header('Location: '.$HOME.'/panel/ban/list');
mysql_query("INSERT INTO `nar` SET `prichina` = '".$about."', `time` = '".(time()+($time_end*(60*60)))."', `kto` = '".$user['id']."',  `tip` = '3', `link` = '".$link."', `komy` = '".$id."', `kom` = '".$kom."'");
header('Location: '.$HOME.'/panel/ban/list');
exit();
}

$sql = mysql_fetch_assoc(mysql_query("SELECT * FROM `ban_list` WHERE `kto` = '".$id."'"));

if($sql == 0) {
echo '<div class="podmenu">Вы желаете дать бан '.nick($id).' ?</div>
<div class="podmenu"><form action="" method="POST">
*Причина:<br /><textarea name="about"></textarea><br />
*Коментарии к бану:<br /><textarea name="kom"></textarea><br />
*Ссылка на тему (если есть):<br /><textarea name="link"></textarea><br />
*Срок:<br/><select name="time_end"><option value="3">3 часа</option><option value="24">Сутки</option><option value="72">3 дня</option><option value="168">Неделя</option><option value="720">Месяц</option><option value="8640">Год</option><option value="25920">3 года</option> <option value="43200">5 лет</option><option value="86400">10 лет</option></select><br/>
<input type="submit" name="ok" value="Банить" />
</form></div>';
} else {
echo '<div class="podmenu"><center><b>Этот пользователь уже забанен!!</b></center></div>';
}

break;
case 'updateban':

$id = abs(intval($_GET['id']));
$upban = mysql_fetch_assoc(mysql_query("SELECT * FROM `ban_list` WHERE `kto` = '".$id."'"));

echo '<div class="title"><a href="'.$HOME.'/panel/">Админ панель</a> | <a href="'.$HOME.'/panel/ban/">Бан лист</a> | <a href="'.$HOME.'/panel/ban/list">Список забаненых</a> | Разбан</div>';

if($upban['id'] == 0) {
echo '<div class="podmenu"><center><b>Этот пользователь не в бане!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(isset($_REQUEST['okda'])) {
mysql_query("DELETE FROM `ban_list` WHERE `kto` = '".$id."'");
header('Location: '.$HOME.'/panel/ban/list');
exit();
}

echo '<div class="podmenu">Вы действительно хотите разбанить '.nick($upban['kto']).'?
<br />
<a href="'.$HOME.'/panel/ban/list/updateban'.$id.'?okda">Да</a></div>';

break;
case 'jalob_ban':

if($user['id'] != 1) {
echo '<div class="title">Ошибка</div>
<div class="podmenu"><center><b>У вас не достаточно прав для просмотра данной страницы!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/panel/">Админ панель</a> | <a href="'.$HOME.'/panel/ban/">Бан лист</a> | Жалобы на бан</div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `jalob_ba`"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

$jal = mysql_query("SELECT * FROM `jalob_ba` ORDER BY `time` DESC LIMIT $start,$max");
while($j = mysql_fetch_assoc($jal))
{
echo '<div class="podmenu">'.smile(bb($j['about'])).' ('.nick($j['avtor']).')</div>';
}

if($k_post < 1) {
echo '<div class="podmenu"><center><b>Жалоб не поступало!</b></center></div>';
}

if ($k_page > 1) {
echo str(''.$HOME.'/panel/ban/jalob/',$k_page,$page); // Вывод страниц
}

echo '<div class="links">» <a href="'.$HOME.'/panel/ban">Назад в бан лист</a></div>';

break;
case 'ip_fs':

echo '<div class="title"><a href="'.$HOME.'/panel/">Админ панель</a> | Поиск по IP</div>';

echo '<div class="podmenu"><form action="" method="POST">
Введите IP: <br />
<input type="text" name="text" value="" maxlength="30" /><br />
<input type="submit" name="submit" value="Искать" />
</form></div>';

if(isset($_REQUEST['submit'])) {

$text = strong($_POST['text']);

if(strlen($text) <1) {
echo '<div class="podmenu"><center><b>Минимальная длина запроса 1 символ!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="menu"><img src="/design/gradient/lol.png" alt="*" /> Результаты поиска:</div>';

$s = mysql_query("SELECT * FROM `users` where `ip` LIKE '%".$text."%' ORDER BY `id` DESC ");
$sql = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` where `ip` LIKE '%".$text."%' "),0);

while($ip_fs = mysql_fetch_assoc($s)){
echo '<div class="links">'.nick($ip_fs['id']).'</div>
<div class="podmenu">
<b>IP:</b> '.$ip_fs['ip'].' <br />
<b>UA:</b> '.$ip_fs['browser'].'</a>
</div>';
}
}

if($sql == 0) echo '<div class="podmenu"><center><b>По вашему запросу ничего не найдено!</b></center></div>';

break;
case 'aspam':
if($user['level'] < '1') {
echo err($title, 'У вас не достаточно прав для просмотра данной страницы!');
require_once ('../system/footer.php'); exit;
}
echo '<div class="title"><a href="'.$HOME.'/panel/">Админ панель</a> | Антиспам</div>';

if(isset($_REQUEST['ok'])) {

$down = strong($_POST['down']);
$mes = strong($_POST['mes']);
$blog = strong($_POST['blog']);
$news = strong($_POST['news']);
$stena = strong($_POST['stena']);
$gust = strong($_POST['gust']);
$chat = strong($_POST['chat']);
$forum_tema = strong($_POST['forum_tema']);
$forum_post = strong($_POST['forum_post']);
$repa = strong($_POST['repa']);
$friends = strong($_POST['friends']);

/* Друзья */
if(empty($friends)) {
echo '<div class="podmenu"><center><b>Вы не ввели время антиспама в друзьях!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(!is_numeric($friends)) {
echo '<div class="podmenu"><center><b>Вводить можно только цифра!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
/* Репутация */
if(empty($repa)) {
echo '<div class="podmenu"><center><b>Вы не ввели время антиспама в репутациях!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(!is_numeric($repa)) {
echo '<div class="podmenu"><center><b>Вводить можно только цифра!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
/* Репутация */

/* Сообщения */
if(empty($mes)) {
echo '<div class="podmenu"><center><b>Вы не ввели время антиспама в сообщениях!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(!is_numeric($mes)) {
echo '<div class="podmenu"><center><b>Вводить можно только цифры!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
/* Сообщения */

/* Загрузки комментарии */
if(empty($down)) {
echo '<div class="podmenu"><center><b>Вы не ввели время антиспама в загрузках!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(!is_numeric($down)) {
echo '<div class="podmenu"><center><b>Вводить можно только цифры!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
/* Загрузки комментарии */

/* Новости комментарии */
if(empty($news)) {
echo '<div class="podmenu"><center><b>Вы не ввели время антиспама в новостях!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(!is_numeric($news)) {
echo '<div class="podmenu"><center><b>Вводить можно только цифры!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
/* Новости комментарии */

/* Стена пользователя */
if(empty($stena)) {
echo '<div class="podmenu"><center><b>Вы не ввели время антиспама сообщений на стене!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(!is_numeric($stena)) {
echo '<div class="podmenu"><center><b>Вводить можно только цифры!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
/* Стена пользователя */

/* Сообщения в чате */
if(empty($chat)) {
echo '<div class="podmenu"><center><b>Вы не ввели время антиспама сообщений в мини чате!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(!is_numeric($chat)) {
echo '<div class="podmenu"><center><b>Вводить можно только цифры!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
/* Сообщения в чате */

/* Форум создание темы */
if(empty($forum_tema)) {
echo '<div class="podmenu"><center><b>Вы не ввели время антиспама созданий темы!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(!is_numeric($forum_tema)) {
echo '<div class="podmenu"><center><b>Вводить можно только цифры!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
/* Форум создание темы */

/* Форум написание поста */
if(empty($forum_post)) {
echo '<div class="podmenu"><center><b>Вы не ввели время антиспама написания сообщений в теме!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(!is_numeric($forum_post)) {
echo '<div class="podmenu"><center><b>Вводить можно только цифры!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
/* Форум написание поста */

/* Блоги(комментарии) */
if(empty($blog)) {
echo '<div class="podmenu"><center><b>Вы не ввели время антиспама написания комментарий в блогах!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(!is_numeric($blog)) {
echo '<div class="podmenu"><center><b>Вводить можно только цифры!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
/* Блоги(комментарии) */

mysql_query("UPDATE `antispam` SET 
          `repa` = '".$repa."',
          `mes` = '".$mes."',
          `down` = '".$down."',
          `guest` = '".$gust."',
          `blog` = '".$blog."',
          `chat` = '".$chat."', 
          `news` = '".$news."', 
          `stena` = '".$stena."', 
          `forum_tema` = '".$forum_tema."', 
          `forum_post` = '".$forum_post."',
          `friends` = '".$friends."' WHERE `id` = '1'");
echo '<div class="podmenu"><center><b>Настройки успешно изменены!</b></center></div>';
echo '<div class="links">» <a href="?act=aspam">Вернуться назад</a></div>';
require_once ('../system/footer.php'); exit;
}
/* Переменная вывода настроек сайта */
$sql = mysql_fetch_assoc(mysql_query("SELECT * FROM `antispam` "));
echo '<div class="podmenu"><form action="" method="POST">
Писать в новостях комментарии можно раз в:<br />
<input type="text" name="news" value="'.$sql['news'].'"/> сек.<br />
Оставлять в чате сообщения можно раз в:<br />
<input type="text" name="chat" value="'.$sql['chat'].'"/> сек.<br />
Оставлять сообщения на стенах можно раз в:<br />
<input type="text" name="stena" value="'.$sql['stena'].'"/> сек.<br />
Создавать темы в форуме можно раз в:<br />
<input type="text" name="forum_tema" value="'.$sql['forum_tema'].'"/> сек.<br />
Писать сообщения в теме можно раз в:<br />
<input type="text" name="forum_post" value="'.$sql['forum_post'].'"/> сек.<br />
Писать комментарии в блогах можно раз в:<br />
<input type="text" name="blog" value="'.$sql['blog'].'"/> сек.<br />
Писать сообщения в гостевой можно раз в:<br />
<input type="text" name="gust" value="'.$sql['guest'].'"/> сек.<br />
Писать комментарии в загрузках можно раз в:<br />
<input type="text" name="down" value="'.$sql['down'].'"/> сек.<br />
Писать сообщения можно раз в:<br />
<input type="text" name="mes" value="'.$sql['mes'].'"/> сек.<br />
Добавлять друзей можно раз в:<br />
<input type="text" name="friends" value="'.$sql['friends'].'"/> сек.<br />
Изменять репутацию можно раз в:<br />
<input type="text" name="repa" value="'.$sql['repa'].'"/> дн.<br />
<input type="submit" name="ok" value="Установить" />
</form></div>';

echo '<div class="links">» <a href="'.$HOME.'/panel/">Назад в админку</a></div>';

break;
case 'us':

echo '<div class="title"><a href="'.$HOME.'/panel/">Админ панель</a> | Управление пользователями</div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `users`"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$k_post = $start+1;

$us = mysql_query("SELECT * FROM `users` ORDER BY `id` LIMIT $start, $max");
while($u = mysql_fetch_assoc($us))
{
echo '<div class="links">'.$k_post++.') '.nick($u['id']).' ID: '.$u['id'].'<br />[<a href="'.$HOME.'/panel/delete_us_'.$u['id'].'">удал</a>] [<a href="'.$HOME.'/panel/up_us_'.$u['id'].'">ред</a>] ';

$ban = mysql_fetch_assoc(mysql_query("SELECT * FROM `ban_list` WHERE `kto` = '".$u['id']."'"));
if($u['id'] != 1) {

if(empty($ban)) {
echo '[<a href="'.$HOME.'/panel/ban/list/addban'.$u['id'].'">забанить</a>]';
} else { 
echo '[<a href="'.$HOME.'/panel/ban/list/updateban'.$u['id'].'">разбанить</a>]';
}

}

echo '</div>
<div class="podmenu">Дата реги.: '.vremja($u['datareg']).'<br />
Браузер: '.$u['browser'].'<br />
IP: '.$u['ip'].'<br />
Обновлялся: '.vremja($u['viz']).'
</div>';
}

if ($k_page > 1) {
echo str(''.$HOME.'/panel/users?',$k_page,$page); // Вывод страниц
}

echo '<div class="links">» <a href="'.$HOME.'/panel/">Назад в админку</a></div>';


break;
case 'deleteus':
if($user['level'] != 3) {
echo err($title, 'У вас не достаточно прав для просмотра данной страницы!');
require_once ('../system/footer.php'); exit;
}
$id = abs(intval($_GET['id']));
$del_us = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$id."'"));

if($user['level'] != 3) {
echo err($title, 'У вас не достаточно прав для просмотра данной страницы!');
require_once ('../system/footer.php'); exit;
}


echo '<div class="title"><a href="'.$HOME.'/user/cab.php">Личный кабинет</a> | <a href="'.$HOME.'/panel/">Админ панель</a> | Удалить пользователя</div>';

if($del_us == 0 or $id == 1) {
echo '<div class="podmenu"><center><b>Ошибка!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(isset($_REQUEST['okda'])) {
mysql_query("DELETE FROM `users` where `id` = '".$id."'");
header('Location: /panel/users');
exit();
}

echo '<div class="podmenu">Вы действительно хотите удалить данного пользователя?<br /><a href="'.$HOME.'/panel/delete_us_'.$id.'?okda">Да</a></div>';

break;
case 'set':

if($user['level'] < 3) {
echo err($title, 'У вас не достаточно прав для просмотра данной страницы!');
require_once ('../system/footer.php'); exit;
}

echo '<div class="title"><a href="'.$HOME.'/panel/">Админ панель</a> | Настройки сайта</div>';

if(isset($_REQUEST['ok'])) {

$key = strong($_POST['key']);
$des = strong($_POST['des']);
$cop = strong($_POST['cop']); 
$reg_on = abs(intval($_POST['reg_on'])); 
$load_mod = abs(intval($_POST['load_mod'])); 
if(empty($key)) {
echo '<div class="podmenu"><center><b>Вы не ввели Keywords!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(mb_strlen($key) < 3 or mb_strlen($key) > 500) {
echo '<div class="podmenu"><center><b>Введите Keywords от 3 до 500 символов!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(empty($des)) {
echo '<div class="podmenu"><center><b>Вы не ввели Description!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(mb_strlen($des) < 3 or mb_strlen($des) > 500) {
echo '<div class="podmenu"><center><b>Введите Description от 3 до 500 символов!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(empty($cop)) {
echo '<div class="podmenu"><center><b>Вы не ввели Копирайт!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(mb_strlen($cop) < 2 or mb_strlen($cop) > 50) {
echo '<div class="podmenu"><center><b>Введите Копирайт от 2 до 50 символов!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

mysql_query("UPDATE `settings` SET `key` = '".$key."', `des` = '".$des."', `cop` = '".$cop."', `reg_on` = '".$reg_on."', `load_mod` = '".$load_mod."' WHERE `id` = '1'");
echo '<div class="podmenu"><center><b>Настройки успешно изменены!</b></center></div>';
echo '<div class="links">» <a href="?act=set">Вернуться назад</a></div>';
require_once ('../system/footer.php'); exit;
}

$sql = mysql_fetch_assoc(mysql_query("SELECT * FROM `settings` WHERE `id` = '1'"));

echo '<div class="podmenu"><form action="" method="POST">
Keywords:<br /><input type="text" name="key" value="'.$sql['key'].'" maxlength="500" /><br />
Description:<br /><input type="text" name="des" value="'.$sql['des'].'" maxlength="500" /><br />
Копирайт:<br /><input type="text" name="cop" value="'.$sql['cop'].'" maxlength="50" /><br />';

echo 'Регистрация:<br/><select name="reg_on">';
$dat = array('Открыта' => '0', 'Закрыта' => '1');
foreach ($dat as $key => $value) { 
echo ' <option value="'.$value.'"'.($value == $sql['reg_on'] ? ' selected="selected"' : '') .'>'.$key.'</option>'; 
}
echo '</select><br/>';

echo 'Модерация файлов:<br/><select name="load_mod">';
$dat = array('Включена' => '0', 'Отключена' => '1');
foreach ($dat as $key => $value) { 
echo ' <option value="'.$value.'"'.($value == $sql['load_mod'] ? ' selected="selected"' : '') .'>'.$key.'</option>'; 
}
echo '</select><br/>';



echo '<input type="submit" name="ok" value="Изменить" />';
echo '</form></div>';

echo '<div class="links">» <a href="'.$HOME.'/panel/">Назад в админку</a></div>';

break;
case 'rules':

if($user['level'] < 3) {
echo err($title, 'У вас не достаточно прав для просмотра данной страницы!');
require_once ('../system/footer.php'); exit;
}

echo '<div class="title"><a href="'.$HOME.'/panel/">Админ панель</a> | Настройки правил</div>';

if(isset($_REQUEST['ok'])) {

$site = strong($_POST['site']);
$forum = strong($_POST['forum']);
$chat = strong($_POST['chat']);

if(empty($site)) {
echo '<div class="podmenu"><center><b>Введите правила сайта</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(empty($forum)) {
echo '<div class="podmenu"><center><b>Введите правила форума</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(empty($chat)) {
echo '<div class="podmenu"><center><b>Введите правила чата</b></center></div>';
require_once ('../system/footer.php');
exit();
}

mysql_query("UPDATE `rules` SET `site` = '".$site."', `forum` = '".$forum."', `chat` = '".$chat."'");
echo '<div class="podmenu"><center><b>Правила успешно изменены!</b></center></div>';
echo '<div class="links">» <a href="?act=rules">Вернуться назад</a></div>';
require_once ('../system/footer.php'); exit;
}

$db = mysql_fetch_assoc(mysql_query("SELECT * FROM `rules`"));

echo '<div class="podmenu">
<form action="" method="POST">
*Правила сайта:<br /><textarea name="site">'.$db['site'].'</textarea><br />
*Правила в форуме:<br /><textarea name="forum">'.$db['forum'].'</textarea><br />
*Правила в чате:<br /><textarea name="chat">'.$db['chat'].'</textarea><br />
<input type="submit" name="ok" value="Изменить" />
</form></div>';

echo '<div class="links">» <a href="'.$HOME.'/panel/">Назад в админку</a></div>';

break;
case 'upus':

$id = abs(intval($_GET['id']));
$up_us = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$id."'"));

if($user['level'] < 2) {
echo err($title, 'У вас не достаточно прав для просмотра данной страницы!');
require_once ('../system/footer.php'); exit;
}

if($up_us == 0 or $id == 1 || $up_us['id'] == $user['id']) {
if($id != $user['id']){
echo err($title, 'Доступ закрыт!');
require_once ('../system/footer.php'); exit;
}
}

echo '<div class="title"><a href="'.$HOME.'/panel/">Админ панель</a> | Редактировать пользователя</div>';

if(isset($_REQUEST['ok'])) {

$login = strong($_POST['login']);
$name = strong($_POST['name']);
$strana = strong($_POST['strana']);
$gorod = strong($_POST['gorod']);
$email = strong($_POST['email']);
$osebe = strong($_POST['osebe']);
$money = abs(intval($_POST['money']));
$url = strong($_POST['url']);
$level = strong($_POST['level']);
$rang = strong($_POST['rang']);
$rating = strong($_POST['rating']);
$n_color = strong($_POST['n_color']);
$k_color = strong($_POST['k_color']);
$wmr = strong($_POST['wmr']);
$wmid = strong($_POST['wmid']);
$wp = strong($_POST['wp']);
$urli = strong($_POST['urli']);
if (!preg_match('/[0-9a-z_\-]+@[0-9a-z_\-^\.]+\.[a-z]{2,6}/i', $email)) {
echo '<div class="podmenu"><center><b>Формат e-mail введён не верно!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
if($user['id'] == 1) {
mysql_query("UPDATE `users` SET `level` = '".$level."', `rang` = '".$rang."', `rating` = '".$rating."'  WHERE `id` = '".$id."'");
}
mysql_query("UPDATE `users` SET `login` = '".$login."', `name` = '".$name."', `urli` = '".$urli."', `strana` = '".$strana."', `wp` = '".$wp."', `wmid` = '".$wmid."', `wmr` = '".$wmr."',  `n_color` = '".$n_color."', `k_color` = '".$k_color."', `gorod` = '".$gorod."', `osebe` = '".$osebe."',  `email` = '".$email."', `money` = '".$money."', `url` = '".$url."' WHERE `id` = '".$id."'");
echo '<div class="podmenu"><center><b>Пользователь отредактирован!</b></center></div>';
}

echo '<div class="podmenu">Редактирование пользователя:  '.nick($up_us['id']).'</div><div class="podmenu">
<form action="" method="POST">
Ник:<br /><input type="text" name="login" maxlength="25" value="'.$up_us['login'].'" /><br />
Имя:<br /><input type="text" name="name" maxlength="45" value="'.$up_us['name'].'" /><br />
Страна:<br /><input type="text" name="strana" maxlength="40" value="'.$up_us['strana'].'" /><br />
Город:<br /><input type="text" name="gorod" maxlength="40" value="'.$up_us['gorod'].'" /><br />
О себе:<br /><input type="text" name="osebe" maxlength="100" value="'.$up_us['osebe'].'" /><br />
Сайт:<br /><input type="text" name="url" maxlength="20111" value="'.$up_us['url'].'" /><br />
Начало градиента:<br /><input type="text" name="n_color" maxlength="100" value="'.$up_us['n_color'].'" /><br />
Конец градиента:<br /><input type="text" name="k_color" maxlength="20111" value="'.$up_us['k_color'].'" /><br />
Рубли:<br /><input type="text" name="money" maxlength="1000" value="'.$up_us['money'].'" /><br />';
echo '
Рейтинг :<br /><input type="text" name="rating" maxlength="20111" value="'.$up_us['rating'].'" /><br />
Короткая ссылка на профиль :<br /><input type="text" name="urli" maxlength="20111" value="'.$up_us['urli'].'" /><br />
WMR :<br /><input type="text" name="wmr" maxlength="20111" value="'.$up_us['wmr'].'" /><br />
WMID :<br /><input type="text" name="wmid" maxlength="20111" value="'.$up_us['wmid'].'" /><br />';
echo '<select name="wp">';
$dat = array('Не потвержден' => '0', 'Потвержден' => '1');
foreach ($dat as $key => $value) { 
echo ' <option value="'.$value.'"'.($value == $up_us['wp'] ? ' selected="selected"' : '') .'>'.$key.'</option>'; 
}
echo '</select><br/>';
if($user['id'] == 1) {
echo '<select name="level">';
$dat = array('Юзер' => '0', 'Модератор' => '1', 'Админ' => '2', 'Ст.Адм' => '3', 'Создатель' => '4' );
foreach ($dat as $key => $value) { 
echo ' <option value="'.$value.'"'.($value == $up_us['level'] ? ' selected="selected"' : '') .'>'.$key.'</option>'; 
}
echo '</select><br/>';
echo 'Ранг:</br><select name="rang">';
$dat = array('Мастер' => '0', 'Знающий мастер' => '1', 'Элитный мастер' => '3', 'Администрация' => '4', 'Основатель' => '55' );
foreach ($dat as $key => $value) { 
echo ' <option value="'.$value.'"'.($value == $up_us['rang'] ? ' selected="selected"' : '') .'>'.$key.'</option>'; 
}
}
echo '</select><br/>';

echo 'E-MAIL:<br /><input type="text" name="email" value="'.$up_us['email'].'" maxlength="50" /><br />
<input type="submit" name="ok" value="Изменить" />
</form></div>';


echo '<div class="title">Сменить пароль</div>';



if(isset($_REQUEST['retpass'])) {

$np = strong($_POST['np']);

if(empty($np)) {
echo err($title, 'Введите новый пароль!');
require_once ('../system/footer.php'); exit;
}

if(mb_strlen($np) < 3) {
echo err($title, 'Минимум 3 символа');
require_once ('../system/footer.php'); exit;
}

if (!preg_match('|^[A-Za-z0-9@._-]+$|i', $np)) {
echo err($title, 'Кириллица запрещена в новом пароле!');
require_once ('../system/footer.php'); exit;
}

mysql_query("UPDATE `users` SET `pass` = '".md5(md5(md5($np)))."' WHERE `id` = '".$id."'");
echo '<div class="podmenu"><center>Пароль успешно изменен на: <b>'.$np.' </b></center></div>';

}

echo '
<div class="podmenu"><form action="" method="POST">
*Новый пароль:<br /><input type="text" name="np" maxlength="25" /><br />
<input type="submit" name="retpass" value="Сменить" />
</form></div>';

break;

case 'load_mod':

echo '<div class="title"><a href="'.$HOME.'/panel/">Админ панель</a> | Файлы на модерации</div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `load_file` WHERE `mod` = '0'"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;

if (isset($_GET['mod'])){
   mysql_query("UPDATE `load_file` SET `mod` = '1' WHERE `id` = '".abs(intval($_GET['mod']))."'");
}


$mod = mysql_query("SELECT * FROM `load_file` WHERE `mod` = '0' ORDER BY `time` DESC LIMIT $start,$max");

while($m = mysql_fetch_assoc($mod)){  
echo '<div class="podmenu">'.nick($m['avtor']).' '.vremja($m['time']).'<br />
Файл: <a href="'.$HOME.'/down/file'.$m['id'].'">'.$m['name'].'</a> <br/>
<a href="'.$HOME.'/panel/load_mod?mod='.$m['id'].'"><b>Одобрить</b></a> | <a href="'.$HOME.'/down/ban'.$m['id'].'"><font color="red">Заблокировать</font></a>
</div>';
}

if($k_post < 1) {
echo '<div class="podmenu"><center><b>Файлов на модерации нет!</b></center></div>';
}

if ($k_page > 1) {
echo str(''.$HOME.'/panel/load_mod/',$k_page,$page); // Вывод страниц
}


break;

case 'count':

if($user['level'] > 4) {
echo err($title, 'У вас не достаточно прав для просмотра данной страницы!');
require_once ('../system/footer.php'); exit;
}

echo '<div class="title"><a href="'.$HOME.'/panel/">Админ панель</a> | Счётчики</div>';

$sql = mysql_fetch_assoc(mysql_query("SELECT * FROM `settings` WHERE `id` = '1'"));

if(isset($_POST['counter'])){	
mysql_query("UPDATE `settings` SET `counter` = '".mysql_real_escape_string($_POST['counter'])."' WHERE `id` = '1'");
echo '<div class="podmenu"><b>Счётчики на главной успешно обновлены!</b></div>';
echo '<div class="links">» <a href="?act=count">Вернуться назад</a></div>';
require_once ('../system/footer.php'); exit;
}

echo '<div class="podmenu"><form action="?act=count" method="POST">
Счётчики на главной: <br/>
<textarea name="counter" cols="44" rows="10">'.$sql['counter'].'</textarea><br/>
<input type="submit" value="Обновить"></form></div>';


if(isset($_POST['counter_all'])){	
mysql_query("UPDATE `settings` SET `counter_all` = '".mysql_real_escape_string($_POST['counter_all'])."' WHERE `id` = '1'");
echo '<div class="podmenu"><b>Счётчики на остальных страницах успешно обновлены!</b></div>';
echo '<div class="links">» <a href="?act=count">Вернуться назад</a></div>';
require_once ('../system/footer.php'); exit;
}


echo '<div class="podmenu"><form action="?act=count" method="POST">
Счётчики на остальных страницах: <br/>
<textarea name="counter_all" cols="44" rows="10">'.$sql['counter_all'].'</textarea><br/>
<input type="submit" value="Обновить"></form></div>';
break;

case 'bonus':

if($user['level'] > 4) {
echo err($title, 'У вас не достаточно прав для просмотра данной страницы!');
require_once ('../system/footer.php'); exit;
}

echo '<div class="title"><a href="'.$HOME.'/panel/">Админ панель</a> | Бонусы</div>';

if(isset($_REQUEST['ok'])) {

$forum_post_m = abs(intval($_POST['forum_post_m']));
$forum_tem_m = abs(intval($_POST['forum_tem_m']));
$down_file_m = abs(intval($_POST['down_file_m'])); 
$guest_post_m = abs(intval($_POST['guest_post_m'])); 


mysql_query("UPDATE `settings` SET `forum_post_m` = '".$forum_post_m."', `forum_tem_m` = '".$forum_tem_m."', `down_file_m` = '".$down_file_m."', `guest_post_m` = '".$guest_post_m."' WHERE `id` = '1'");
echo '<div class="podmenu"><center><b>Настройки успешно изменены!</b></center></div>';
echo '<div class="links">» <a href="?act=bonus">Вернуться назад</a></div>';
require_once ('../system/footer.php'); exit;
}

$sql = mysql_fetch_assoc(mysql_query("SELECT * FROM `settings` WHERE `id` = '1'"));

echo '<div class="podmenu"><form action="" method="POST">
За тему на форуме начислять:<br /><input type="text" name="forum_post_m" value="'.$sql['forum_post_m'].'" maxlength="5" />стронг.<br />
За пост на форуме начислять:<br /><input type="text" name="forum_tem_m" value="'.$sql['forum_tem_m'].'" maxlength="5" />стронг.<br />
За пост в гостевой начислять:<br /><input type="text" name="guest_post_m" value="'.$sql['guest_post_m'].'" maxlength="5" />стронг.<br />
За загруженый файл в ЗЦ начилять:<br /><input type="text" name="down_file_m" value="'.$sql['down_file_m'].'" maxlength="5" />стронг.<br />';
echo '<input type="submit" name="ok" value="Изменить" />';
echo '</form></div>';

echo '<div class="links">» <a href="'.$HOME.'/panel/">Назад в админку</a></div>';

break;
case 'reg_mod';
if(!$user['id'] or $user['level'] < 2) {
echo err($title, 'У вас не достаточно прав для просмотра данной страницы!');
require_once ('../system/footer.php'); exit;
}
if(isset($_GET['ip'])){

$text = strong($_GET['ip']);

echo '<div class="menu"><img src="/design/gradient/lol.png" alt="*" /> Результаты поиска:</div>';

$s = mysql_query("SELECT * FROM `users` where `ip` LIKE '%".$text."%' ORDER BY `id` DESC ");
$sql = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` where `ip` LIKE '%".$text."%' "),0);

while($ip_fs = mysql_fetch_assoc($s)){
echo '<div class="links">'.nick($ip_fs['id']).'</div>
<div class="podmenu">
<b>IP:</b> '.$ip_fs['ip'].' <br />
<b>UA:</b> '.$ip_fs['browser'].'</a>
</div>';
}


if($sql == 0) echo '<div class="podmenu"><center><b>По вашему запросу ничего не найдено!</b></center></div>';
echo '<div class="links">» <a href="'.$HOME.'/panel/reg_mod">Назад в регистрации</a></div>';
require_once ('../system/footer.php'); exit;
}
if($_GET['dop']==da){
mysql_query("UPDATE `reg` SET `dop`='da', `kem`='".$user['id']."' WHERE `us`='".$_GET['id']."'");
	echo '<div class="podmenu">Регистрация подтверждена!</div>';
}
if($_GET['dop']==net){
mysql_query("UPDATE `reg` SET `dop`='net', `kem`='".$user['id']."' WHERE `us`='".$_GET['id']."'");
	echo '<div class="podmenu">Регистрация отклонена!</div>';
}
$regm=mysql_query("SELECT * FROM `reg` WHERE `dop`='3'");

while($regmd=mysql_fetch_array($regm)){
	$us=mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `id`='".$regmd['us']."'"));
	echo '<div class="podmenu">'.nick($regmd['us']).' [<a href="?ip='.$us['ip'].'">Проверить ip</a>]
	<br/>
	<a href="?dop=da&id='.$us['id'].'">Подтвердить</a> | <a href="?dop=net&id='.$us['id'].'">Отклонить</a> 
	</div>';
}

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `reg` WHERE `dop` = '3'"),0);
if($k_post < 1) {
echo '<div class="podmenu"><center><b>Регистраций требующих подтверждения не найдено!</b></center></div>';
}
break;

case 'arb_mod';
if($user['level'] > 4) {
echo err($title, 'У вас не достаточно прав для просмотра данной страницы!');
require_once ('../system/footer.php'); exit;
}
if($_GET['dop']==da){
mysql_query("UPDATE `arb` SET `prinyat`='1' WHERE `id`='".$_GET['id']."'");
	echo '<div class="podmenu">Отзыв подтверждена!</div>';
}
if($_GET['dop']==net){
mysql_query("DELETE FROM `arb` WHERE `id`='".$_GET['id']."'");
	echo '<div class="podmenu">Отзыв отклонена!</div>';
}
$regm=mysql_query("SELECT * FROM `arb` WHERE `prinyat`='0'");

while($regmd=mysql_fetch_array($regm)){
echo '<div class="podmenu">'.nick($regmd['kto']).' оставил ';
	if($regmd['otzv'] == '1'){  echo '<b>отзыв </b>';}
elseif($regmd['otzv'] == '2'){ echo '<b>притензия </b>';}
	echo 'против '.nick($regmd['komy']).' причина:</br>
	'.bb($regmd['text']).'
	<br/><a href="../files/arb/'.$regmd['file'].'"><img src="../files/arb/'.$regmd['file'].'" width="60" hight="60"/></a></br>
	<a href="?dop=da&id='.$regmd['id'].'">Подтвердить</a> | <a href="?dop=net&id='.$regmd['id'].'">Отклонить</a> 
	</div>';
}

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `arb` WHERE `prinyat` = '0'"),0);
if($k_post < 1) {
echo '<div class="podmenu"><center><b>Заявок в арбитраже не найдено</b></center></div>';
}
break;


}

//-----Подключаем низ-----//
require_once ('../system/footer.php');
?>